/*弹出定位*/
var scT='';
function scTop(){
    var top=$(window).scrollTop()
    return {top:top}
}
function bodyStyle(){
    scT = scTop().top;
    $('body').css({position:'fixed',top:-scT,left:0,right:0});
}
function bodyRemovStyle(){
    $('body').removeAttr('style');
    $('html,body').scrollTop(scT);
    
}

/*单选美化label,隐藏radio靠label点击*/
$('.checked label').click(function(){
      if($(this).find('input').is(':checked')){
          $(this).addClass('on').siblings().removeClass('on'); 
      }
});

$('.morechecked label').click(function(){
      if($(this).find('input').is(':checked')){
          $(this).addClass('on').siblings().removeClass('on'); 
      }
});
/*复选美化label,隐藏checkbox靠label点击*/
$('.checkbox label').click(function(){
        if ($(this).find('input').is(':checked')) {
            $(this).find('input').attr("checked",true).prop("checked","checked").parent().siblings().removeClass('on').find('input').removeAttr("checked");
            $(this).parent().addClass('on')
        } else {
            $(this).parent().removeClass('on')
        }
    });
/*城市选择*/
$(".cs").click(function (e) {
     SelCity(this, e);
});
/*自定义SELECT*/
$('.select select').change(function(){
        var text = $(this).children('option:selected').text(), val = $(this).children('option:selected').val();
        $(this).prev().find('span').text(text)
})
var ppmode=$('input[name="ppmode"]');
ppmode.click(function(){
	var n=$(this).val();
	for(var i=1;i<6;i++){
		var s=$('.mode'+i);
		if(i==n)
		s.removeClass('none');
		else
		if(s.hasClass('none')==false) s.addClass('none');
	}
});       
var times=0;    
var yao=0;    
function yaogua(n){
	$('.mode3').removeClass('none');
	var ky1=$('.ky1');
	var ky2=$('.ky2');
	var ting="停 止"
	if(ky1.val()==ting)
   		n=0;
   	if(times==0)
   		ky1.val("第一次");
   	if(n!=0)
    	ky1.val(ting);
	if(times==6){
		ky1.hide();
		ky2.show();
		ky2.val("重新开始");
	}
	if (n==1){
		times++;     
		$('.q1').attr('src',"date/guaqian2.gif"); 
		$('.q2').attr('src',"date/guaqian2.gif");
		$('.q3').attr('src',"date/guaqian2.gif");	     
	}else{
		yao1 = Math.round(Math.random());   
		yao2 = Math.round(Math.random());   
		yao3 = Math.round(Math.random());		   
		if (yao1+yao2+yao3==0){
			yao=3;
			$('.q1').attr('src',"date/guaqian.gif");
			$('.q2').attr('src',"date/guaqian.gif");
			$('.q3').attr('src',"date/guaqian.gif");
		}else if (yao1+yao2+yao3==1){   
			yao=0;
			$('.q1').attr('src',"date/guaqian.gif");
			$('.q2').attr('src',"date/guaqian22.gif");
			$('.q3').attr('src',"date/guaqian.gif");
		}else if (yao1+yao2+yao3==2){   
			yao=1; 
			$('.q1').attr('src',"date/guaqian22.gif");
			$('.q2').attr('src',"date/guaqian.gif");
			$('.q3').attr('src',"date/guaqian22.gif");
		}else if (yao1+yao2+yao3==3){  
			yao=2;	
			$('.q1').attr('src',"date/guaqian22.gif");
			$('.q2').attr('src',"date/guaqian22.gif");
			$('.q3').attr('src',"date/guaqian22.gif");
		}					   
		switch(times)     
		{     
			case 1:     
				document.p6yform.Y1.options[yao].selected=true;    
				ky1.val("第二次");    
				break;     
			case 2:     
				document.p6yform.Y2.options[yao].selected=true;    
				ky1.val("第三次");				   
				break;     
			case 3:     
				document.p6yform.Y3.options[yao].selected=true;     
				ky1.val("第四次");			   
				break;     
			case 4:     
				document.p6yform.Y4.options[yao].selected=true;     
				ky1.val("第五次");			   
				break;     
			case 5:     
				document.p6yform.Y5.options[yao].selected=true;    
				ky1.val("第六次"); 
				break;     
			case 6:     
				document.p6yform.Y6.options[yao].selected=true;   
				break;			     
		}    
		if (times>=6) times=0;     
	}	     
	return true;     
} 

function getBlock(){
$('.ky1').show();
$('.ky2').hide();
$('.ky1').val("第一次");
times=0;
}
function checkp6y(){
	var birth=$('input[name="gl_birthday"]').val();
	var ct=$('input[name="area"]').val();
	var m=$('input[name="ppmode"]').val();
	var flag=true;
	if(birth==''){
		point('请选择时间');
		flag=false;
	}
	if($('input[name="zty"]').is(':checked') && ct==''){
		point('真太阳时需要选择起卦地');
		flag=false;
	}
	if(m==4 &&( $('input[name="bsnums_up"]').val()=='' || $('input[name="bsnums_down"]').val()=='')){
		point('请报数');
		flag=false;
	}
	if(flag==true){
		$('#p6yform').submit();
	}
}
function point(a){
        var point = $('<div class="point">'+a+'</div>');
        $("body").append(point);
        var left = ($(window).width()-point.outerWidth())/2,
            top = ($(window).height()-point.outerHeight())/2;
        point.css({left:left,top:top}).addClass('show');
        setTimeout(function(){
            point.removeClass('show');
            setTimeout(function(){
                point.remove()
            },200)
        },2000)
 }